Synchronization
Legacy API
Collaboration diagram for Synchronization:

## Macros

#define | __itt_attr_barrier 1
| possible value of attribute argument for sync object type More...
#define | __itt_attr_mutex 2
| possible value of attribute argument for sync object type More...
#define | __itt_sync_set_name __itt_sync_set_nameA
#define | __itt_sync_set_name_ptr __itt_sync_set_nameA_ptr
#define | __itt_notify_sync_name __itt_notify_sync_nameA

## Functions

void ITTAPI | __itt_sync_set_nameA (void *addr, const char *objtype, const char *objname, int attribute)
| Assign a name to a sync object using char or Unicode string. More...
void ITTAPI | __itt_sync_set_nameW (void *addr, const wchar_t *objtype, const wchar_t *objname, int attribute)
int LIBITTAPI | __itt_notify_sync_nameA (void *addr, const char *objtype, int typelen, const char *objname, int namelen, int attribute)
| Assign a name and type to a sync object using char or Unicode string. More...
int LIBITTAPI | __itt_notify_sync_nameW (void *addr, const wchar_t *objtype, int typelen, const wchar_t *objname, int namelen, int attribute)
void LIBITTAPI | __itt_notify_sync_prepare (void *addr)
| Enter spin loop on user-defined sync object. More...
void LIBITTAPI | __itt_notify_sync_cancel (void *addr)
| Quit spin loop without acquiring spin object. More...
void LIBITTAPI | __itt_notify_sync_acquired (void *addr)
| Successful spin loop completion (sync object acquired) More...
void LIBITTAPI | __itt_notify_sync_releasing (void *addr)
| Start sync object releasing code. Is called before the lock release call. More...

## Detailed Description

Synchronization group

Warning
  Legacy API

## Macro Definition Documentation

## __itt_attr_barrier

#define __itt_attr_barrier 1

possible value of attribute argument for sync object type

Definition at line 374 of file legacy/ittnotify.h.

## __itt_attr_mutex

#define __itt_attr_mutex 2

possible value of attribute argument for sync object type

Definition at line 380 of file legacy/ittnotify.h.

## __itt_notify_sync_name

#define __itt_notify_sync_name __itt_notify_sync_nameA

Definition at line 469 of file legacy/ittnotify.h.

## __itt_sync_set_name

#define __itt_sync_set_name __itt_sync_set_nameA

Definition at line 402 of file legacy/ittnotify.h.

## __itt_sync_set_name_ptr

#define __itt_sync_set_name_ptr __itt_sync_set_nameA_ptr

Definition at line 403 of file legacy/ittnotify.h.

## Function Documentation

## __itt_notify_sync_acquired()

void LIBITTAPI __itt_notify_sync_acquired | ( | void * | addr | ) |

Successful spin loop completion (sync object acquired)

Deprecated:
  Legacy API

## __itt_notify_sync_cancel()

void LIBITTAPI __itt_notify_sync_cancel | ( | void * | addr | ) |

Quit spin loop without acquiring spin object.

Deprecated:
  Legacy API

## __itt_notify_sync_nameA()

int LIBITTAPI __itt_notify_sync_nameA | ( | void * | addr,
|  | const char * | objtype,
|  | int | typelen,
|  | const char * | objname,
|  | int | namelen,
|  | int | attribute
| ) |  |

Assign a name and type to a sync object using char or Unicode string.

Deprecated:
  Legacy API

Parameters

  [in] | addr | - pointer to the sync object. You should use a real pointer to your object to make sure that the values don't clash with other object addresses
  [in] | objtype | - null-terminated object type string. If NULL is passed, the object will be assumed to be of generic "User Synchronization" type
  [in] | objname | - null-terminated object name string. If NULL, no name will be assigned to the object – you can use the __itt_sync_rename call later to assign the name
  [in] | typelen,namelen | - a length of string for appropriate objtype and objname parameter
  [in] | attribute | - one of [__itt_attr_barrier, __itt_attr_mutex] values which defines the exact semantics of how prepare/acquired/releasing calls work.

Returns
  __itt_err upon failure (name or namelen being null,name and namelen mismatched)

## __itt_notify_sync_nameW()

int LIBITTAPI __itt_notify_sync_nameW | ( | void * | addr,
|  | const wchar_t * | objtype,
|  | int | typelen,
|  | const wchar_t * | objname,
|  | int | namelen,
|  | int | attribute
| ) |  |

## __itt_notify_sync_prepare()

void LIBITTAPI __itt_notify_sync_prepare | ( | void * | addr | ) |

Enter spin loop on user-defined sync object.

Deprecated:
  Legacy API

## __itt_notify_sync_releasing()

void LIBITTAPI __itt_notify_sync_releasing | ( | void * | addr | ) |

Start sync object releasing code. Is called before the lock release call.

Deprecated:
  Legacy API

## __itt_sync_set_nameA()

void ITTAPI __itt_sync_set_nameA | ( | void * | addr,
|  | const char * | objtype,
|  | const char * | objname,
|  | int | attribute
| ) |  |

Assign a name to a sync object using char or Unicode string.

Deprecated:
  Legacy API

Parameters

  [in] | addr | - pointer to the sync object. You should use a real pointer to your object to make sure that the values don't clash with other object addresses
  [in] | objtype | - null-terminated object type string. If NULL is passed, the object will be assumed to be of generic "User Synchronization" type
  [in] | objname | - null-terminated object name string. If NULL, no name will be assigned to the object – you can use the __itt_sync_rename call later to assign the name
  [in] | attribute | - one of [__itt_attr_barrier, __itt_attr_mutex] values which defines the exact semantics of how prepare/acquired/releasing calls work.

## __itt_sync_set_nameW()

void ITTAPI __itt_sync_set_nameW | ( | void * | addr,
|  | const wchar_t * | objtype,
|  | const wchar_t * | objname,
|  | int | attribute
| ) |  |

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.